Bug 223000 - virDomainCreateLinux() failed xen et fc6
virDomainCreateLinux() failed xen et fc6
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 09:43 EST by maik
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 14:01:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description maik 2007-01-17 09:43:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.0.9) Gecko/20061221 Fedora/1.5.0.9-1.fc5 Firefox/1.5.0.9

Description of problem:
Whan I want create one new VM with virt-manager or xenguest-install , the system return this error and stop

libvir: Xen Daemon error : POST operation failed: (xend.err "Error creating domain: (22, 'Invalid argument')")
Failed to create domain test3
Traceback (most recent call last):
  File "/usr/sbin/xenguest-install", line 452, in ?
    main()
  File "/usr/sbin/xenguest-install", line 413, in main
    dom = guest.start_install(conscb)
  File "/usr/lib/python2.4/site-packages/virtinst/ParaVirtGuest.py", line 202, in start_install
    return XenGuest.XenGuest.start_install(self, consolecb)
  File "/usr/lib/python2.4/site-packages/virtinst/XenGuest.py", line 366, in start_install
    self.domain = self.conn.createLinux(cxml, 0)
  File "/usr/lib64/python2.4/site-packages/libvirt.py", line 329, in createLinux    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirt.libvirtError: virDomainCreateLinux() failed POST operation failed: (xend.err "Error creating domain: (22, 'Invalid argument')")

All update FC and Xen are ok

Version-Release number of selected component (if applicable):
kernel 2.6.18-1.2869.fc6xen

How reproducible:
Always


Steps to Reproduce:
1.xenguest-install --name=test21 --ram=320 --file=/xen/test21.img --file-size=2 --nographics --paravirt --location=nfs:iroise:/mnt/loop
2.service iptables status Table : filter
Chain INPUT (policy ACCEPT)
num  target     prot opt source               destination

Chain FORWARD (policy ACCEPT)
num  target     prot opt source               destination

Chain OUTPUT (policy ACCEPT)
num  target     prot opt source               destination
3.[root@vl1 ~]# sestatus
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted


Actual Results:
libvir: Xen Daemon error : POST operation failed: (xend.err "Error creating domain: (22, 'Invalid argument')")

Expected Results:


Additional info:
Comment 1 Daniel Berrange 2007-01-17 10:28:11 EST
What distro did you try to install for the guest in virt-manager ?  Since you
are on an x86_64 platform, the error message "Invalid argument" is most likely
to mean you tried to install a i386 version of Fedora as the guest.

Also please provide  /root/.virt-manager/virt-manager.log from immediately after
the install failed - but before existing virt-manager. And also
/var/log/xen/xend.log
Comment 2 Stephen Tweedie 2007-03-13 14:01:45 EDT
Closed due to lack of information; please reopen if the problem persists and the
requested debug info is available.

Note You need to log in before you can comment on or make changes to this bug.